#!/usr/bin/env ruby
# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

require "test/unit"
require "pp"

class CheckPP < Test::Unit::TestCase
  def test_pp
    w = [:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa,
      [:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbb,
	[:cccccccccccccccccccccccccccccc,
	  [:dddddddddddddddddddddddddddddd]]]]

    str = ""
    PP.pp(w, str)
    assert_equal("[:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa,
 [:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbb,
  [:cccccccccccccccccccccccccccccc, [:dddddddddddddddddddddddddddddd]]]]
", str)
  end
end
